[Japanese]

JVNDB-2014-000069

RockDisk vulnerable to cross-site scripting

Overview

RockDisk provided by I-O DATA DEVICE, INC. are LAN connectable hard disk drives. RockDisk contains a cross-site scripting vulnerability.

NOTE: This vulnerability exists because of an incomplete fix for CVE-2013-4713.

Yuji Tounai of bogus.jp reported this vulnerability to IPA.
JPCERT/CC coordinated with the developer under Information Security Early Warning Partnership.
CVSS Severity (What is CVSS?)

Base Metrics: 4.0 (Medium) [IPA Score]
  • Access Vector: Network
  • Access Complexity: Low
  • Authentication: Single Instance
  • Confidentiality Impact: None
  • Integrity Impact: Partial
  • Availability Impact: None

Affected Products


I-O DATA DEVICE, INC.
  • RockDisk Firmware version 1.05e1-2.0.5 and earlier
  • RockDisk

Note that the firmware version 1.05e1-2.0.5 released on October 28, 2013 did not address the vulnerability. The vulernability has been addressed in the firmware version 1.05f-2.0.7 released on July 2, 2014. For more information, refer to the developer's website.
Impact

An arbitrary script may be executed on the user's web browser.
Solution

[Update the Firmware]
Apply the firmware update provided by the developer.
Vendor Information

I-O DATA DEVICE, INC.
CWE (What is CWE?)

  1. Cross-site Scripting(CWE-79) [IPA Evaluation]
CVE (What is CVE?)

  1. CVE-2014-3887
References

  1. JVN : JVN#74608669
  2. JVN iPedia : JVNDB-2013-000096
  3. National Vulnerability Database (NVD) : CVE-2014-3887
Revision History

[2014/07/02]
  Web page was published
[2017/05/17]
  References : Content was added